Package: org.grails.web.json

## [Java] Enum JSONWriter.Mode

- org.grails.web.json.JSONWriter.Mode

-     protected enum JSONWriter.Mode

  Enumeration of the possible modes of the JSONWriter

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ARRAY` |
    `DONE` |
    `INIT` |
    `KEY` |
    `OBJECT` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Enum Constant Detail

    - #### public JSONWriter.Mode ARRAY

    - #### public JSONWriter.Mode DONE

    - #### public JSONWriter.Mode INIT

    - #### public JSONWriter.Mode KEY

    - #### public JSONWriter.Mode OBJECT